<?php
        // Return source code
        if(isset($_GET['source'])) {
                header("Content-Type: text/plain");
                die(file_get_contents(basename($_SERVER['PHP_SELF'])));
	}

	$addresses = [
		'pk11',
		'webmaster',
		'" "',
		'"EV, the webmaster of"',
		'". ...- .. ."',
		'"Evie \"Pk11\" B."',
		'"A very good email address"'
	];
	$addr = $addresses[rand(0, sizeof($addresses) - 1)];
?><!DOCTYPE html>
<html lang="ja">
<head>
	<meta charset="utf-8">
	<meta name="viewport" content="width=device-width, initial-scale=1">
	<title>ピケ.コム</title>
	<link rel="stylesheet" href="/assets/css/style.css">
	<meta name="theme-color" content="#facade">
</head>

<body id="body">
	<div class="container">
		<header>
			<h1>ようこそ、<img src="/assets/images/header/wordart.gif" alt="ピケ.コム" width="230" height="55">へ！</h1>
		</header>

		<main>
			<div class="block">
				<h3 style="margin:0">クイックリンク<small lang="en">/quick links</small></h3>

				[<a href="https://rss.xn--rck9c.xn--tckwe">rss</a>]
				[<a href="//nextrip.xn--rck9c.xn--tckwe">nextrip</a>]
				[<a href="//list.xn--rck9c.xn--tckwe">list</a>]
				[<a href="//bbs.xn--rck9c.xn--tckwe">bbs</a>]
				[<a href="color.html">color</a>]
				[<a href="?source">source</a>]
			</div>

			<div class="block" lang="en">
				<h2>help, where am I?</h2>
				<img class="fl" src="/assets/images/pfp.gif" alt="My profile picture">
				<p>
					hey! I'm <abbr title="variously known as Pk11, Evie, EV, Epicpkmn11, xn--rck9c, etc">EV</abbr> and you've stumbled upon my.. personal website!
					this place is full of my nonsense that I throw together for fun. take a look around, leave a note on the <a href="//bbs.xn--rck9c.xn--tckwe">bulletin board</a>, etc everything here is listed below.
				</p>
				<p>					
					I'm a trans woman (she/her) who's probably about <?php echo date('Y') - 2001 - 1; ?> y/o from Minnesota, USA, that's a programming nerd with too many weird opinions on what makes tech good.
					Ah you like my watch? it's an iPod! Why is this website Japanese? it's more fun that way.
				</p>
				<p>
					also, fuck copyright. probably everything here and much of my GitHub are public domain licensed, falling back to a GPL or CC where necessary. please do use my things!
					information exists to be free, if you like how I did something that's what <kbd>ctrl</kbd> + <kbd>C</kbd> is for!
					(if I forgot an explicit license, just ask)
				</p>
				<p>btw this website url is basically pk.com, but in Japanese cause weird and actually available. I pronounce it 'pk komu', you can type it more easily as xn--rck9c.xn--tckwe... well, maybe easier.</p>
				<p>for more of me see my <a href="https://github.com/Epicpkmn11">GitHub</a> (<a href="https://gist.github.com/Epicpkmn11/">gist</a>), <a href="https://www.youtube.com/@Pk11">YouTube</a>, <a href="https://www.nicovideo.jp/user/69199725">Niconico</a>, <a href="https://gbatemp.net/members/pk11.494739/">GBAtemp</a>, <a href="https://www.reddit.com/user/Evie_11/">Reddit</a>, <a href="https://ko-fi.com/rck9c">Ko-fi</a>, etc<p>
			</div>			

			<div class="block">
				<h2 id="projects">作ったもの<small lang="en">/things I've made</small></h2>
				<p>(or been a major contributor to)</p>
				<dl>
					<dt><a tabindex="0" href="//wordle.xn--rck9c.xn--tckwe">Wordle DS</a></dt>
					<dd>DSでWordleゲーム</dd>

					<dt><a tabindex="0" href="https://github.com/Universal-Team/pkmn-chest">pkmn-chest</a></dt>
					<dd>DS・DSiでのポケモンバンク</dd>

					<dt><a tabindex="0" href="https://github.com/Epicpkmn11/NTM">NTM</a></dt>
					<dd>DSi用タイトルマネージャー</dd>

					<dt><a tabindex="0" href="https://github.com/DS-Homebrew/TWiLightMenu">TWiLight Menu++</a></dt>
					<dd>DSiメニューの代替。DSゲームをSDカードからプレイできる！<dd>

					<dt><a tabindex="0" href="https://db.universal-team.net/">Universal-DB</a></dt>
					<dd>DSと3DSホームブルー(homebrew)のデータベース</dd>

					<dt><a tabindex="0" href="https://github.com/Universal-Team/Universal-Updater">Universal-Updater</a><dt>
					<dd>3DS用homebrewのアプリストア</dd>

					<dt><a tabindex="0" href="https://github.com/DS-Homebrew/GodMode9i">GodMode9i</a></dt>
					<dd>DS・DSi用ファイルマネージャー</a>

					<dt><a tabindex="0" href="https://github.com/Epicpkmn11/art">art</a></dt>
					<dd>EVの作品</dd>
				</dl>
			</div>
			<div class="block">
				<h2 id="subdomain">サブドメイン<small lang="en">/subdomains</small></h2>
				<dl>
					<dt><a tabindex="0" href="//bad-apple.xn--rck9c.xn--tckwe/ja.html">bad-apple</a></dt>
					<dd>Bad Apple!!でも、HTMLだけです(JSやCSSなし)</dd>

					<dt><a tabindex="0" href="//bbs.xn--rck9c.xn--tckwe/index.php">bbs</a>（英語）</dt>
					<dd>Windows98から画像をアップロードできないでしたので、PHPで作って本当にしょぼい1スレBBS</dd>

					<dt><a tabindex="0" href="//git.xn--rck9c.xn--tckwe">git</a></dt>
					<dd>自己ホストの<a href="https://gitea.io/ja-jp/">Gitea</a></dd>

					<dt><a tabindex="0" href="//grit.xn--rck9c.xn--tckwe">grit</a>（英語）</dt>
					<dd>イメージを<a href="https://github.com/devkitPro/grit">grit</a>を使用してGRFファイルに変換</dd>

					<dt><a tabindex="0" href="//haste.xn--rck9c.xn--tckwe">haste</a>（英語）</dt>
					<dd>自己ホストのライト配色あり<a href="https://hastebin.com">Hastebin</a></dd>

					<dt><a tabindex="0" href="//list.xn--rck9c.xn--tckwe/index.php">list</a></dt>
					<dd>シンプルなTo-Doリスト</dd>

					<dt><a tabindex="0" href="//nextrip.xn--rck9c.xn--tckwe">nextrip</a></dt>
					<dd><a href="https://www.metrotransit.org">Metro Transit</a>のNexTrip APIを使うバス停留所情報ビューアー</dd>

					<dt><a tabindex="0" href="//rss.xn--rck9c.xn--tckwe">rss</a></dt>
					<dd>自己ホトスの<a href="https://miniflux.app">Miniflux</a></dd>

					<dt><a tabindex="0" href="//uwu.xn--rck9c.xn--tckwe">uwu</a></dt>
					<dd>ランダムなuwu顔</dd>

					<dt><a tabindex="0" href="//wordle.xn--rck9c.xn--tckwe">wordle</a>（英語）</dt>
					<dd>Wordle DSのページ</dd>

					<dt><a tabindex="0" href="//xn--p8juc.xn--rck9c.xn--tckwe">うち</a></dt>
					<dd>家</dd>
				</dl>
			</div>

			<div class="block">
				<h2 id="page">他のページ<small lang="en">/other pages</small></h2>
				<dl>
					<dt><a tabindex="0" href="/agent.php">agent.php</a></dt>
					<dd>ユーザーエイジェントを表示</dd>

					<dt><a tabindex="0" href="/bios-shrinker.html">bios-shrinker.html</a>（英語）</dt>
					<dd>3DSからダンプされたGBAのBIOSファイルを正しいサイズに縮小</dd>

					<dt><a tabindex="0" href="/color.html">color.html</a></dt>
					<dd>16進、RGB、BGR15の間で色を変換</dd>
				
					<dt><a tabindex="0" href="/dQw4w9WgXcQ/index.html">dQw4w9WgXcQ</a></dt>
					<dd>;)</dd>

					<dt><a tabindex="0" href="/motd.php">motd.php</a></dt>
					<dd>毎日でランダムなメッセージ</dd>

					<dt><a tabindex="0" href="/securid.html">securid.html</a></dt>
					<dd>RSA SecurIDのブラウザー実装</dd>

					<dt><a tabindex="0" href="/video.php">video.php</a>（英語）</dt>
					<dd>埋め込みにビデオを表示</dd>
				</dl>
			</div>
		</main>

		<footer>
			<p>2021-<?php echo date('Y'); ?> <a href="mailto:<?php echo rawurlencode($addr); ?>@xn--rck9c.xn--tckwe"><?php echo $addr; ?>@ピケ.コム</a></p>

			<p><?php
$buttons = [
	['ev.gif', '//xn--rck9c.xn--tckwe'],
	['valid-html5.gif', 'https://validator.w3.org/check?uri=https%3A%2F%2Fxn--rck9c.xn--tckwe&charset=%28detect+automatically%29&doctype=Inline&group=0'],
	['php4_88x31.gif', 'https://www.php.net/'],
	['anybestviewed.gif'],
	['88x31.gif', 'https://cyber.dabamos.de/88x31/'],
	['no.gif', 'dQw4w9WgXcQ'],
	['transnow2.gif', 'https://genderdysphoria.fyi/en/'],
	['transhrt.gif', 'https://diyhrt.wiki'],
	['archlinux.gif', 'https://archlinux.org/'],
	['stop.gif'],
	['firefoxnow.gif', 'https://firefox.com'],
	['chrome.gif'],
	['gplv3.gif', 'https://www.gnu.org/licenses/gpl-3.0.en.html'],
];

foreach($buttons as &$button) {
	if(count($button) > 1)
		echo '<a href="'.$button[1].'">';
	echo '<img class="btn" src="/assets/images/buttons/'.$button[0].'" alt="'.$button[0].'">';
	if(count($button) > 1)
		echo '</a>';
}
			?></p>
		</footer>
	</div>
</body>
</html>
